{% import 'AppBundle:Macros:macros.html.twig' as this %}
{% extends 'AppBundle::_panelBlueTemplate.html.twig' %}

    {% block panel_title %}
        {#<a href="#" actionUrl="{{ path('candidate_edit', { 'id': candidate.id }) }}" class="modal-form pull-right btn btn-primary"><i class="fa fa-edit"></i> Modifier</a>#}
        Suivi de la candidature {% include 'AppBundle:User/Candidate:status.html.twig' %}
    {% endblock %}

    {% block panel_body %}
        {{ this.labeled_value(candidate.contactDate|date('d/m/Y'), 'Date de candidature') }}
        {{ this.labeled_value(candidate.type, 'Type de candidature') }}
        {{ this.labeled_value(candidate.origin, 'Origine de la candidature') }}
        {% if candidate.type == constant('AppBundle\\Entity\\User\\Subscription::TYPE_CANDIDATE_SPONSOR')%}
            {{  this.bool_true_false(candidate.userAware, 'Informé-e de la démarche', 'Oui', 'Non') }}
            {% if candidate.sponsor %}
                {{ this.labeled_value(candidate.sponsor, '1er plébiscite') }}
            {% endif %}
            {{ this.labeled_value(candidate.weight, 'Nombre de propositions') }}
        {% endif %}
        {{ this.labeled_value(candidate.motivation, 'Motivation', 1) }}
        <hr>
        {% if contact|default(null) %}
            {{ this.labeled_value(contact.role, 'Rôle sur le site') }}
            {{ this.labeled_value(contact.convention ? "Oui" : "Non", 'Signature de la charte') }}
        {% else %}
                <p>Non répertorié-e sur le site</p>
        {% endif %}

        <hr>
        <h3>Liste des opérations{% if is_granted('ADD_CANDIDATE', app.user) %}
            <span class="pull-right">
                <a href="#" actionUrl="{{ path('operation_add', {'id': candidate.id}) }}"
                   class="modal-form  pull-right btn btn-primary"><i class="fa fa-plus"></i> Ajouter une opération</a>
            </span>
            {% endif %}</h3>
        <hr>
{% for op in candidate.operations %}
<span class="panel-title">{{ op }} (par {{ op.createdBy }})</span>
    {% if is_granted('DELETE_OPERATION', op) %}
        <span class="pull-right  shortButton">
        <a href="{{ path('operation_delete', { 'id': op.id }) }}"
           data-confirm="Confirmer la suppression de l'opération {{ op }} ?"
           data-remote="true"
           data-method="delete"
           class="btn btn-primary">
                            <i class="fa fa-trash-o"></i>
                        </a>
    </span>
    {% endif %}
    {% if is_granted('EDIT_OPERATION', op) %}
    <span class="pull-right  shortButton">
    <a href="#" actionUrl="{{ path('operation_edit', {'id': op.id}) }}"
                                           class="modal-form  pull-right btn btn-primary"><i class="fa fa-edit"></i> </a>
    </span>
    {% endif %}

{{ op.content|raw }}
<hr>
{% else %}
Aucune opération enregistrée
{% endfor %}

    {% endblock %}



